version: "3.9"

services:
  app:
    image: orenciso/xgame-labels-api:latest
    container_name: xgame-labels-api
    env_file:
      - .env
    ports:
      - 3001:3001

  copy-labels-env:
    image: orenciso/xgame-labels-api:latest
    container_name: copy-labels-env
    volumes:
      - /var/www/xgame-apis/xgame-labels-api/.env:/temp/.env
    command: sh -c "cp /temp/.env /app/.env && exit"
